<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/tools/tools.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/dc2/3___game_2tools_2tools_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">tools.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../df/dc2/3___game_2tools_2tools_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:d9/d1d/class_call_queue_context"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#d9/d1d/class_call_queue_context">CallQueueContext</a></td></tr>
<tr class="separator:d9/d1d/class_call_queue_context"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d9/d0c/classarray_3_01ref_01_call_queue_context_01_4"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#d9/d0c/classarray_3_01ref_01_call_queue_context_01_4">array&lt; ref CallQueueContext &gt;</a></td></tr>
<tr class="memdesc:d9/d0c/classarray_3_01ref_01_call_queue_context_01_4"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="../../d9/dc3/group___tools.html#dc/d22/class_call_queue" title="DragQueue Class provide callbacks while mouse is dragging. Callback function must have exact argument...">CallQueue</a> <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class" title="Super root of all classes in Enforce script.">Class</a> provide "lazy" calls - when we don't want to execute function immediately but later during frame update (used mainly in UI) <br  />
 usage:  <a href="../../d9/dc3/group___tools.html#d9/d0c/classarray_3_01ref_01_call_queue_context_01_4">More...</a><br /></td></tr>
<tr class="separator:d9/d0c/classarray_3_01ref_01_call_queue_context_01_4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dc/d22/class_call_queue"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#dc/d22/class_call_queue">CallQueue</a></td></tr>
<tr class="memdesc:dc/d22/class_call_queue"><td class="mdescLeft">&#160;</td><td class="mdescRight">DragQueue <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class" title="Super root of all classes in Enforce script.">Class</a> provide callbacks while mouse is dragging. Callback function must have exact arguments:  <a href="../../d9/dc3/group___tools.html#dc/d22/class_call_queue">More...</a><br /></td></tr>
<tr class="separator:dc/d22/class_call_queue"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d8/d48/classarray_3_01_timer_base_01_4"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#d8/d48/classarray_3_01_timer_base_01_4">array&lt; TimerBase &gt;</a></td></tr>
<tr class="memdesc:d8/d48/classarray_3_01_timer_base_01_4"><td class="mdescLeft">&#160;</td><td class="mdescRight">TimerQueue <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class" title="Super root of all classes in Enforce script.">Class</a> using for system purpose only.  <a href="../../d9/dc3/group___tools.html#d8/d48/classarray_3_01_timer_base_01_4">More...</a><br /></td></tr>
<tr class="separator:d8/d48/classarray_3_01_timer_base_01_4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:da/d69/class_timer_base"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#da/d69/class_timer_base">TimerBase</a></td></tr>
<tr class="memdesc:da/d69/class_timer_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Simple class for fading Widgets.  <a href="../../d9/dc3/group___tools.html#da/d69/class_timer_base">More...</a><br /></td></tr>
<tr class="separator:da/d69/class_timer_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d7/d10/class_animator_timer"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#d7/d10/class_animator_timer">AnimatorTimer</a></td></tr>
<tr class="memdesc:d7/d10/class_animator_timer"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="../../d9/dc3/group___tools.html#d7/d10/class_animator_timer" title="AnimatorTimer class. This timer is for animate float value.   usage:">AnimatorTimer</a> class. This timer is for animate float value. <br  />
 usage:  <a href="../../d9/dc3/group___tools.html#d7/d10/class_animator_timer">More...</a><br /></td></tr>
<tr class="separator:d7/d10/class_animator_timer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d7/d93/classmulti_map_3_01_class_01_k_00_01_class_01_v_01_4"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#d7/d93/classmulti_map_3_01_class_01_k_00_01_class_01_v_01_4">multiMap&lt; Class K, Class V &gt;</a></td></tr>
<tr class="memdesc:d7/d93/classmulti_map_3_01_class_01_k_00_01_class_01_v_01_4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Associative array template, with multiple values per key <br  />
 usage:  <a href="../../d9/dc3/group___tools.html#d7/d93/classmulti_map_3_01_class_01_k_00_01_class_01_v_01_4">More...</a><br /></td></tr>
<tr class="separator:d7/d93/classmulti_map_3_01_class_01_k_00_01_class_01_v_01_4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="typedef-members" name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga11880357beab1c4c1243d4de2959bd40"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#ga11880357beab1c4c1243d4de2959bd40">TStringMap</a></td></tr>
<tr class="separator:ga11880357beab1c4c1243d4de2959bd40"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga1c46e35120d613169a257c5abb0e8060"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#ga1c46e35120d613169a257c5abb0e8060">~TimerBase</a> ()</td></tr>
<tr class="separator:ga1c46e35120d613169a257c5abb0e8060"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga70babc5227ddd16ca31dccc6cec0bb22"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#ga70babc5227ddd16ca31dccc6cec0bb22">Pause</a> ()</td></tr>
<tr class="memdesc:ga70babc5227ddd16ca31dccc6cec0bb22"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pause Timer, internal counter is not restarted, so timer can continue later. Can be unpaused via Continue.  <a href="../../d9/dc3/group___tools.html#ga70babc5227ddd16ca31dccc6cec0bb22">More...</a><br /></td></tr>
<tr class="separator:ga70babc5227ddd16ca31dccc6cec0bb22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa6eab0382778448fccbc664b87ed2eed"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#gaa6eab0382778448fccbc664b87ed2eed">Continue</a> ()</td></tr>
<tr class="memdesc:gaa6eab0382778448fccbc664b87ed2eed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer continue when it was paused.  <a href="../../d9/dc3/group___tools.html#gaa6eab0382778448fccbc664b87ed2eed">More...</a><br /></td></tr>
<tr class="separator:gaa6eab0382778448fccbc664b87ed2eed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga17a237457e57625296e6b24feb19c60a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#ga17a237457e57625296e6b24feb19c60a">Stop</a> ()</td></tr>
<tr class="memdesc:ga17a237457e57625296e6b24feb19c60a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop Timer and restart internal counter. Cannot be unpaused, must be started again.  <a href="../../d9/dc3/group___tools.html#ga17a237457e57625296e6b24feb19c60a">More...</a><br /></td></tr>
<tr class="separator:ga17a237457e57625296e6b24feb19c60a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga503e3d34e944eb2100a9b6e26cde2aae"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#ga503e3d34e944eb2100a9b6e26cde2aae">IsRunning</a> ()</td></tr>
<tr class="separator:ga503e3d34e944eb2100a9b6e26cde2aae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad8e2cfd30f831eb15f0c6e155f3205bf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#gad8e2cfd30f831eb15f0c6e155f3205bf">Tick</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> timeslice)</td></tr>
<tr class="memdesc:gad8e2cfd30f831eb15f0c6e155f3205bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">System function, don't call.  <a href="../../d9/dc3/group___tools.html#gad8e2cfd30f831eb15f0c6e155f3205bf">More...</a><br /></td></tr>
<tr class="separator:gad8e2cfd30f831eb15f0c6e155f3205bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5b84e17b0e5e70e95f2ccd848db404c6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#ga5b84e17b0e5e70e95f2ccd848db404c6">OnTimerQueueDestoryed</a> ()</td></tr>
<tr class="memdesc:ga5b84e17b0e5e70e95f2ccd848db404c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">System function, don't call.  <a href="../../d9/dc3/group___tools.html#ga5b84e17b0e5e70e95f2ccd848db404c6">More...</a><br /></td></tr>
<tr class="separator:ga5b84e17b0e5e70e95f2ccd848db404c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8a5888c845f10608a75d9bfd5009089e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#ga8a5888c845f10608a75d9bfd5009089e">GetTime</a> ()</td></tr>
<tr class="separator:ga8a5888c845f10608a75d9bfd5009089e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab99274bcbeee38daa1c9a9961a3f4460"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#gab99274bcbeee38daa1c9a9961a3f4460">GetDuration</a> ()</td></tr>
<tr class="separator:gab99274bcbeee38daa1c9a9961a3f4460"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga897bff43753a6915d96948a83c859b0f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#ga897bff43753a6915d96948a83c859b0f">GetRemaining</a> ()</td></tr>
<tr class="separator:ga897bff43753a6915d96948a83c859b0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaac9c17385375afabb107f7768501fe01"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#gaac9c17385375afabb107f7768501fe01">OnInit</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> category)</td></tr>
<tr class="separator:gaac9c17385375afabb107f7768501fe01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga04184bd29371d6900174ebabfb282691"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#ga04184bd29371d6900174ebabfb282691">OnStart</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> duration, <a class="el" href="../../d9/db9/classbool.html">bool</a> loop)</td></tr>
<tr class="separator:ga04184bd29371d6900174ebabfb282691"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab414e48870421e21bf5553f4033493b0"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#gab414e48870421e21bf5553f4033493b0">OnUpdate</a> ()</td></tr>
<tr class="separator:gab414e48870421e21bf5553f4033493b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ba9963ea974271cfff1d940aa300f15"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#ga0ba9963ea974271cfff1d940aa300f15">OnTimer</a> ()</td></tr>
<tr class="separator:ga0ba9963ea974271cfff1d940aa300f15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga27e21022fc65f5c3c3c391bf60d03a3b"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#ga27e21022fc65f5c3c3c391bf60d03a3b">SetRunning</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> running)</td></tr>
<tr class="separator:ga27e21022fc65f5c3c3c391bf60d03a3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaed6444e8a04c2e2e6d36ee35fcfa6b9e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#gaed6444e8a04c2e2e6d36ee35fcfa6b9e">GetTemperatureColor</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> temperature)</td></tr>
<tr class="separator:gaed6444e8a04c2e2e6d36ee35fcfa6b9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1b9c78bd52869151c9bae1d6783afe9d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#ga1b9c78bd52869151c9bae1d6783afe9d">GetProfileValueBool</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>, <a class="el" href="../../d9/db9/classbool.html">bool</a> def=false)</td></tr>
<tr class="memdesc:ga1b9c78bd52869151c9bae1d6783afe9d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return value from profile variable, if variable with given name is not present, default value is returned.  <a href="../../d9/dc3/group___tools.html#ga1b9c78bd52869151c9bae1d6783afe9d">More...</a><br /></td></tr>
<tr class="separator:ga1b9c78bd52869151c9bae1d6783afe9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabe5924a1f0efa22ed27980bb22c55871"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#gabe5924a1f0efa22ed27980bb22c55871">SetProfileValueBool</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>, <a class="el" href="../../d9/db9/classbool.html">bool</a> value)</td></tr>
<tr class="memdesc:gabe5924a1f0efa22ed27980bb22c55871"><td class="mdescLeft">&#160;</td><td class="mdescRight">Writes bool variable to profile, after write don't forget to call <a class="el" href="../../d2/de6/class_c_game.html#aa5375ea1f6a7054a8de77046f98af9e2" title="Saves profile on disk.">CGame::SaveProfile()</a> to save profile to storage!  <a href="../../d9/dc3/group___tools.html#gabe5924a1f0efa22ed27980bb22c55871">More...</a><br /></td></tr>
<tr class="separator:gabe5924a1f0efa22ed27980bb22c55871"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf00215752311bd671e6d6bfc9d5efa24"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#gaf00215752311bd671e6d6bfc9d5efa24">GetNumberOfSetBits</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> i)</td></tr>
<tr class="separator:gaf00215752311bd671e6d6bfc9d5efa24"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:gaaf491f3ecd1d9aefb35a16bf96ca420c"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#gaaf491f3ecd1d9aefb35a16bf96ca420c">CALL_CATEGORY_SYSTEM</a> = 0</td></tr>
<tr class="separator:gaaf491f3ecd1d9aefb35a16bf96ca420c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaae15173306f94a164b31a4baea73e5eb"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#gaae15173306f94a164b31a4baea73e5eb">CALL_CATEGORY_GUI</a> = 1</td></tr>
<tr class="separator:gaae15173306f94a164b31a4baea73e5eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga32e05515215d4ff50969513ff6d88310"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#ga32e05515215d4ff50969513ff6d88310">CALL_CATEGORY_GAMEPLAY</a> = 2</td></tr>
<tr class="separator:ga32e05515215d4ff50969513ff6d88310"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafe79ab4fe41ac6e7ae75ec996b047cd8"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#gafe79ab4fe41ac6e7ae75ec996b047cd8">CALL_CATEGORY_COUNT</a> = 3</td></tr>
<tr class="separator:gafe79ab4fe41ac6e7ae75ec996b047cd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga15caefc1aac89d6965dfb8bd62bd40d4"><td class="memItemLeft" align="right" valign="top">class DragQueue extends <a class="el" href="../../d9/dc3/group___tools.html#dc/d22/class_call_queue">CallQueue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#ga15caefc1aac89d6965dfb8bd62bd40d4">m_running</a></td></tr>
<tr class="memdesc:ga15caefc1aac89d6965dfb8bd62bd40d4"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="../../d9/dc3/group___tools.html#da/d69/class_timer_base" title="Simple class for fading Widgets.">TimerBase</a> <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class" title="Super root of all classes in Enforce script.">Class</a> provide just interface for all Timer classes. Don't instance this class, use Timer class instead.  <a href="../../d9/dc3/group___tools.html#ga15caefc1aac89d6965dfb8bd62bd40d4">More...</a><br /></td></tr>
<tr class="separator:ga15caefc1aac89d6965dfb8bd62bd40d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8491320ae1aa5f9c21b697951033bff3"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#ga8491320ae1aa5f9c21b697951033bff3">m_loop</a></td></tr>
<tr class="separator:ga8491320ae1aa5f9c21b697951033bff3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1f32cd1113bf46668bc04091d642e8b7"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#ga1f32cd1113bf46668bc04091d642e8b7">m_duration</a></td></tr>
<tr class="separator:ga1f32cd1113bf46668bc04091d642e8b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2de98207f9046279c80318b556040573"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#ga2de98207f9046279c80318b556040573">m_time</a></td></tr>
<tr class="separator:ga2de98207f9046279c80318b556040573"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0195a222fabf7f3c3faa0afe68b326d8"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d9/dc3/group___tools.html#da/d69/class_timer_base">TimerBase</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc3/group___tools.html#ga0195a222fabf7f3c3faa0afe68b326d8">m_timerQueue</a></td></tr>
<tr class="separator:ga0195a222fabf7f3c3faa0afe68b326d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_907fa993cde0429e91bf5998789740ad.html">tools</a></li><li class="navelem"><a class="el" href="../../df/dc2/3___game_2tools_2tools_8c.html">tools.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
